crypton-1.0.1: Cryptography Primitives sink

License | BSD-style
Maintainer | Olivier Chéron <olivier.cheron@gmail.com>
Stability | stable
Portability | good
Safe Haskell | None
Language | Haskell2010

Crypto.Cipher.CAST5

Description

Synopsis

- data CAST5

# Documentation

data CAST5 #

CAST5 block cipher (also known as CAST-128). Key is between 40 and 128 bits.

#### Instances

Instances details

Cipher CAST5 # |
Instance details Defined in Crypto.Cipher.CAST5 Methods cipherInit :: ByteArray key => key -> CryptoFailable CAST5 # cipherName :: CAST5 -> String # cipherKeySize :: CAST5 -> KeySizeSpecifier #
BlockCipher CAST5 # |

Instance details

Defined in Crypto.Cipher.CAST5

Methods

blockSize :: CAST5 -> Int #

ecbEncrypt :: ByteArray ba => CAST5 -> ba -> ba #

ecbDecrypt :: ByteArray ba => CAST5 -> ba -> ba #

cbcEncrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba #

cbcDecrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba #

cfbEncrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba #

cfbDecrypt :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba #

ctrCombine :: ByteArray ba => CAST5 -> IV CAST5 -> ba -> ba #

aeadInit :: ByteArrayAccess iv => AEADMode -> CAST5 -> iv -> CryptoFailable (AEAD CAST5) #